<template>
  <v-menu offset-y :close-on-content-click="false">
    <template v-slot:activator="{ on }">
      <v-text-field
        :value="dateFormated"
        v-on="on"
        :label="label"
        @input="$emit('input', $event)"
        :rules="rules"
        outlined
        readonly
      ></v-text-field>
    </template>
    <v-date-picker
      :value="value"
      no-title
      @input="$emit('input', $event)"
      :max="maxDate"
    ></v-date-picker>
  </v-menu>
</template>

<script>
import moment from "moment";
export default {
  name: "DatePicker",
  props: ["value", "required", "label", "rules", "maxDateNow"],
  computed: {
    dateFormated() {
      const date = moment(this.value).format("DD/MM/YYYY");
      return date !== "Invalid date" ? date : "";
    },
    maxDate() {
      if (this.maxDateNow) {
        return new Date().toISOString("sv").replace(/T/, " ");
      }
      return null;
    },
  },
};
</script>
